summaryrefslogtreecommitdiff
path: root/tests/md5sum/newline-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-03-07 14:37:27 +0000
committerJim Meyering <jim@meyering.net>1999-03-07 14:37:27 +0000
commitb035c9078c7da677c702322d0890622a573a1e3d (patch)
tree07513470353a65b06f35403c8c39446bcebbb6a1 /tests/md5sum/newline-1
parentb79cd299cb89763633f58eafc8cd115a51548f8e (diff)
downloadcoreutils-b035c9078c7da677c702322d0890622a573a1e3d.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/md5sum/newline-1')
-rwxr-xr-xtests/md5sum/newline-141
1 files changed, 41 insertions, 0 deletions
diff --git a/tests/md5sum/newline-1 b/tests/md5sum/newline-1
new file mode 100755
index 000000000..818e9fcfe
--- /dev/null
+++ b/tests/md5sum/newline-1
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+: ${PERL=perl}
+: ${srcdir=.}
+
+case "$PERL" in
+ *'missing perl')
+ echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+ exit 77
+ ;;
+esac
+
+if test -n "$COMSPEC$ComSpec"; then
+ # DOS/Windows
+ echo 1>&2 "$0: This test would always fail on MSDOS/Window systems"
+ exit 77
+fi
+
+exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF
+require 5.003;
+use strict;
+
+(my $program_name = $0) =~ s|.*/||;
+
+# Turn off localisation of executable's ouput.
+@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
+
+my $degenerate = "d41d8cd98f00b204e9800998ecf8427e";
+
+my @Tests =
+ (
+ ['newline', {IN=> {"a\nb"=> ''}}, {OUT=>"\\$degenerate a\\nb\n"}],
+ );
+
+my $save_temps = $ENV{DEBUG};
+my $verbose = $ENV{VERBOSE};
+
+my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
+my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
+exit $fail;
+EOF